### Method

# Ide Debugger get_display_name

#### Declaration

    const gchar*
    ide_debugger_get_display_name (
      IdeDebugger* self
    )

#### Description

Gets the display name for the debugger as the user should see it in various UI components.

Available since: | 3.32

Gets property | `Ide.Debugger:display-name`

#### Return value

Returns: | `const gchar*`
| The display name for the debugger.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.